package com.philisense.rdgo.bean.response;

import java.io.Serializable;
import java.util.List;

/**
 * Created by shaop on 2017/12/13.
 */

public class TypeBean implements Serializable{


    /**
     * success : 0
     * message : 查询成功!
     * data : {"brand":["两江楼","味泽园","红蜻蜓"],"gene":[0,1,2],"level":["","特级","一级","三级","四级","其他"],"capacity":["0.9L","1L","1.8L","2.5L","4L","4.5L","5L","10L","15L","20L"],"warehouse":[{"name":"铜罐驿仓库","code":"ck01"}]}
     */

    private int success;
    private String message;
    private DataBean data;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean implements Serializable{
        private List<String> brand;
        private List<Integer> gene;
        private List<String> level;
        private List<String> capacity;
        private List<WarehouseBean> warehouse;

        public List<String> getBrand() {
            return brand;
        }

        public void setBrand(List<String> brand) {
            this.brand = brand;
        }

        public List<Integer> getGene() {
            return gene;
        }

        public void setGene(List<Integer> gene) {
            this.gene = gene;
        }

        public List<String> getLevel() {
            return level;
        }

        public void setLevel(List<String> level) {
            this.level = level;
        }

        public List<String> getCapacity() {
            return capacity;
        }

        public void setCapacity(List<String> capacity) {
            this.capacity = capacity;
        }

        public List<WarehouseBean> getWarehouse() {
            return warehouse;
        }

        public void setWarehouse(List<WarehouseBean> warehouse) {
            this.warehouse = warehouse;
        }

        public static class WarehouseBean implements Serializable{
            /**
             * name : 铜罐驿仓库
             * code : ck01
             */

            private String name;
            private String code;

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getCode() {
                return code;
            }

            public void setCode(String code) {
                this.code = code;
            }
        }
    }
}
